summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorDaniel Friesel <derf@derf.homelinux.org>2008-11-26 19:28:01 +0100
committerDaniel Friesel <derf@derf.homelinux.org>2008-11-26 19:28:01 +0100
commit8093b027ce0b23f5f377e23fa0fce4889dda6547 (patch)
tree7e11fea7c0bdf5c2e4cc0a4cb46698bfa47dcb0f /bin
parent40cb22fb40e01f92fc4d7511e23ca1a3c21ae29c (diff)
pkg: Added debug options
Diffstat (limited to 'bin')
-rwxr-xr-xbin/pkg18
1 files changed, 18 insertions, 0 deletions
diff --git a/bin/pkg b/bin/pkg
index 09c94af..a994354 100755
--- a/bin/pkg
+++ b/bin/pkg
@@ -24,6 +24,21 @@ info=$'\e[0;36m'
error=$'\e[0;31m'
reset=$'\e[0m'
+function debug {
+ if (( !DEBUG )) || (( SILENT )); then return; fi
+ typeset func line
+ if [[ ${#*} -ge 3 ]] {
+ func=$1
+ line=$2
+ shift 2
+ }
+ echo "(debug) $func:$line: $*"
+}
+
+# I need function name and line number of the function _calling_ debug,
+# so I can't get them from inside the debug function.
+alias debug='debug ${(%)$(echo %N)} ${(%)$(echo %i)}'
+
function info {
(( SILENT )) || echo -ne "${info}$*${reset}"
}
@@ -65,6 +80,7 @@ if [[ -f $HOME/.pkg.conf ]] {
: ${PDIR:="$HOME/packages"}
: ${CL_OPTIONS:=-q}
: ${SILENT=0}
+: ${DEBUG=0}
: ${AUTOUPDATE=1}
export PDIR
@@ -79,6 +95,8 @@ while [[ $1 == [-+]* ]] {
case $1 in
-q|--quiet) SILENT=1 ;;
+q|--no-quiiet) SILENT=0 ;;
+ -d|--debug) DEBUG=1 ;;
+ +d|--no-debug) DEBUG=0 ;;
-au|--auto-update) AUTOUPDATE=1 ;;
+au|--no-auto-update) AUTOUPDATE=0 ;;
-co|--checklinks-options) CL_OPTIONS+=$1; shift ;;